﻿using System;
using System.Linq;

namespace HeuristicLab.Algorithms.PushGP
{
    public static class OpCodeExtensions
    {
        public readonly static byte Min = 0;
        public readonly static byte Max = Enum.GetValues(typeof(OpCode)).Cast<byte>().Last();

        public static bool IsCodeOp(this OpCode opCode)
        {
            return opCode >= OpCode.CodeEquals && opCode < OpCode.CodeYankDup;
        }
    }
}
