﻿using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class FloatDefineExpression : Expression
    {
        public FloatDefineExpression() : base(OpCode.FloatDefine)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            Define(
                interpreterService.FloatStack,
                interpreterService.NameStack,
                interpreterService.CustomExpressions,
                value => new FloatPushExpression(value));
        }
    }
}
